import { Provider } from '@loopback/context';
import { VerifyFunction } from 'loopback4-authentication';
import { Auth0PostVerifyFn, Auth0PreVerifyFn, Auth0SignUpFn } from '../../../providers';
import { UserCredentialsRepository, UserRepository } from '../../../repositories';
export declare class Auth0VerifyProvider implements Provider<VerifyFunction.Auth0Fn> {
    userRepository: UserRepository;
    userCredsRepository: UserCredentialsRepository;
    private readonly signupProvider;
    private readonly preVerifyProvider;
    private readonly postVerifyProvider;
    constructor(userRepository: UserRepository, userCredsRepository: UserCredentialsRepository, signupProvider: Auth0SignUpFn, preVerifyProvider: Auth0PreVerifyFn, postVerifyProvider: Auth0PostVerifyFn);
    value(): VerifyFunction.Auth0Fn;
}
