"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PasswordDecryptionProvider = void 0;
const tslib_1 = require("tslib");
const rest_1 = require("@loopback/rest");
const node_forge_1 = tslib_1.__importDefault(require("node-forge"));
class PasswordDecryptionProvider {
    value() {
        return async (password) => {
            if (!process.env.PRIVATE_DECRYPTION_KEY) {
                throw new rest_1.HttpErrors.Unauthorized("Invalid Credentials" /* AuthErrorKeys.InvalidCredentials */);
            }
            const privateKey = node_forge_1.default.pki.privateKeyFromPem(process.env.PRIVATE_DECRYPTION_KEY);
            const decryptedPassword = privateKey.decrypt(password);
            return decryptedPassword;
        };
    }
}
exports.PasswordDecryptionProvider = PasswordDecryptionProvider;
//# sourceMappingURL=password-decryption.provider.js.map